--[[
Name: LibBabble-CreatureType-3.0
Revision: $Rev: 43 $
Maintainers: ckknight, nevcairiel, Ackis
Website: http://www.wowace.com/projects/libbabble-creaturetype-3-0/
Dependencies: None
License: MIT
]]

local MAJOR_VERSION = "LibBabble-CreatureType-3.0"
local MINOR_VERSION = 90000 + tonumber(("$Rev: 43 $"):match("%d+"))

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	Beast = "Beast",
	Critter = "Critter",
	Demon = "Demon",
	Dragonkin = "Dragonkin",
	Elemental = "Elemental",
	Giant = "Giant",
	Humanoid = "Humanoid",
	Mechanical = "Mechanical",
	Undead = "Undead",
}


if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
	Beast = "Wildtier",
	Critter = "Tier",
	Demon = "Dämon",
	Dragonkin = "Drachkin",
	Elemental = "Elementar",
	Giant = "Riese",
	Humanoid = "Humanoid",
	Mechanical = "Mechanisch",
	Undead = "Untoter",
}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
	Beast = "Bête",
	Critter = "Bestiole",
	Demon = "Démon",
	Dragonkin = "Draconien",
	Elemental = "Elémentaire",
	Giant = "Géant",
	Humanoid = "Humanoïde",
	Mechanical = "Mécanique",
	Undead = "Mort-vivant",
}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
	Beast = "야수",
	Critter = "작은 동물",
	Demon = "악마",
	Dragonkin = "용족",
	Elemental = "정령",
	Giant = "거인",
	Humanoid = "인간",
	Mechanical = "기계",
	Undead = "언데드",
}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
	Beast = "Bestia",
	Critter = "Alma",
	Demon = "Demonio",
	Dragonkin = "Dragón",
	Elemental = "Elemental",
	Giant = "Gigante",
	Humanoid = "Humanoide",
	Mechanical = "Mecánico",
	Undead = "No-muerto",
}
elseif GAME_LOCALE == "esMX" then
	lib:SetCurrentTranslations {
	Beast = "Bestia",
	Critter = "Alma",
	Demon = "Demonio",
	Dragonkin = "Dragon",
	Elemental = "Elemental",
	Giant = "Gigante",
	Humanoid = "Humanoide",
	Mechanical = "Mecánico",
	Undead = "No-muerto",
}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
	Beast = "Животное",
	Critter = "Существо",
	Demon = "Демон",
	Dragonkin = "Дракон",
	Elemental = "Элементаль",
	Giant = "Великан",
	Humanoid = "Гуманоид",
	Mechanical = "Механизм",
	Undead = "Нежить",
}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
	Beast = "野兽",
	Critter = "小动物",
	Demon = "恶魔",
	Dragonkin = "龙类",
	Elemental = "元素生物",
	Giant = "巨人",
	Humanoid = "人型生物",
	Mechanical = "机械",
	Undead = "亡灵",
}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
	Beast = "野獸",
	Critter = "小動物",
	Demon = "惡魔",
	Dragonkin = "龍類",
	Elemental = "元素生物",
	Giant = "巨人",
	Humanoid = "人型生物",
	Mechanical = "機械",
	Undead = "不死族",
}

else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
